﻿local addOn, ns = ...
local gameLocale = GAME_LOCALE or GetLocale()

--if gameLocale ~= 'enGB' and gameLocale ~= 'enUS' then return end

ns.L = {}

local L = ns.L

L['AZERITE_BUTTONS'] = 'Azerite armor'
L['SHOW_AZERITE_TOOLTIP_HELP'] = 'Show azerite traits weight'
L['From'] = 'From'
L['Owner'] = 'Owner'
L['PERSONAL'] = 'Personal'
L['PERSONALLY'] = 'Personally'

L['ENABLE_REROLL'] = 'Enable reroll'
L['ENABLE_REROLL_DESC'] = 'Enable possibility to change roll'

L['NORAML_BUTTONS'] = 'Default'
L['RELIC_BUTTONS'] = 'Relics'
L['TOKEN_BUTTONS'] = 'Tokens'

L['NORMAL_ROLL'] = 'Normal'
L['Restart client for correct work'] = true
L['Alt+Left click to create session for this item']  = 'Alt+Left click to create new session'
L['CUSTOM_NAME'] = 'Custom'
L['TRADE'] = 'Trade'
L['DOWNLOAD'] = 'Download'
L['NEW_VERSION_IS_AVAILABLE'] = 'New version is available'
L['MOVE_HERE'] = "(move here)"
L['GENERAl'] = "General"
L['PLAYER'] = "Player"
L['LEADER'] = "Leader"
L['EXPORT'] = "Export"
L['LOCK_OUT'] = "Instance lockout"
L['FILTER'] = "Filter"
L["ALL"] = 'All'
L['LATEST'] = 'Latest'
L['DATE'] = 'Date'
L['SERVER_NAME'] = 'Server - Name'
L['CLASS_NAME'] = 'Class - Name'
L['DATE_NAME'] = 'Date - Name'
L['ZONE_BOSS'] = 'Zone - Boss'
L['RESET'] = "Reset"
L['ROLL'] = 'Roll'
L['NORMAL'] = 'Normal'
L['VERSION'] = "Version"
L['SELECT_INSTANCE'] = 'Select instance'
L['NORMAL_MODE'] = 'Normal'
L['HEROIC_MODE'] = 'Heroic'
L['MYTHIC_MODE'] = 'Mythic'
L['REQUEST'] = 'Request'
L['PASS'] = 'Pass'
L['OPEN_LOCKOUT'] = 'Open'
L['LOCKED_LOCKOUT'] = 'Dead'
L['NEED'] = 'Need'
L['OFFSPEC'] = 'Offspec'
L['UPGRADE'] = 'Upgrade'
L['TRANSMOG'] = 'Transmog'
L['OPEN_SESSION'] = 'Open session'
L['DISABLE_SCREENSHOTS'] = 'Disable screenshots'
L['ENABLE_SCREENSHOTS'] = 'Enable screenshots'
L['CANCEL'] = 'Cancel'
L['COPY'] = 'copy'
L['PASTE'] = 'paste'
L['SUCCESS'] = 'Success'
L['WAITING'] = 'Waiting'
L['NO_OPEN_SESSION'] = "No open sessions found"
L['RIGHT_MOUSE_TO_CHANGE_ROLL'] = 'Right mouse click - Change roll'
L["LOOT_METHOD_PERSONAL"] = 'Personal'
L["LOOT_METHOD_GROUP_LOOT"] = 'Group loot'
L["LOOT_METHOD_FFA"] = 'Free for All'
L["LOOT_METHOD_MASTER"] = 'Master loot'
L['LH_ML_WARNING_GUILD_TEXT'] = 'Your raid is not a guild. \n|cFFFF0000You Cant|r change loot method to'
L['LH_ML_WARNING_TEXT'] = 'You are the leader of the raid. \nDo you want to change loot method to'
L['LH_ML_WARNING_CHANGED_TEXT'] = 'Loot method was changed to'
L['LH_ML_WARNING_ISML_TEXT'] = 'You are master looter now.'
L['ROLL_START_ANONCE'] = 'Start roll session for'

L['ENABLE_SERVER'] = 'Enable'
L['ENABLE_SERVER_DESC'] = "Enable master looter roll panel"

L['ENABLE_ALERTS'] = 'Enable alerts'
L['ENABLE_START_ROLL_ANONCE'] = 'Announce roll session start'
L['OPEN_MAINFRAME_HISTORY'] = 'Open history'
L['SHOW_RELIC_TOOLTIP_HELP'] = 'Display relic info'
L['ENABLE_SCREENSHOT'] = 'Enable screenshots'
L['ENABLE_SCREENSHOT_DESC'] = 'Do screenshot on new session start'

L['ENABLE_TOKEN_ITEM_HOOK'] = "Display tier token info"
L['ENABLE_TOKEN_ITEM_HOOK_DESC'] = 'Display item instead of token'

L['ITEM_AWARDED'] = 'Awarded'

L['ENABLE_GROUPED_ITEMS'] = 'Combine same items'
L['ENABLE_GROUPED_ITEMS_DESC'] = 'Combine same items into one group'

L['BUTTON_ORDER'] = 'Position'

L['OPEN_MAINFRAME'] = 'Open session'
L['OPEN_MAINFRAME_DESC'] = 'Open latest active session'
L['DOWNLOAD_LINK'] = 'Download link'

L['ENABLE_LOOT_AWARDING'] = 'Enable loot awarding messages'
L['ENABLE_LOOT_AWARDING_DESC'] = 'Enable loot awarding messages'
L['ENABLE_SHORT_LOOT_LINK'] = 'Reduce item names'
L['ENABLE_SHORT_LOOT_LINK_DESC'] = 'Reduce item names in awarding message'

L['ENABLE_COLORED_ROLL_FILTER'] = 'Enable colored roll indicators'
L['ENABLE_COLORED_ROLL_FILTER_DESC'] = 'Check for possibility of roll and change line color'

L['ENABLE_AUTO_SEARCH_SAME_SESSION'] = 'Search for same session'
L['ENABLE_AUTO_SEARCH_SAME_SESSION_DESC'] = 'Search and use already opened similar session'

L['LOOT_ERROR_1'] = "No item"
L['LOOT_ERROR_2'] = "No player"
L['LOOT_ERROR_3'] = "Not awarded"
L['LOOT_ERROR_4'] = "Not in raid"
L['LOOT_ERROR_5'] = 'Bags is full'

L['Error'] = 'Error'

L['BUTTON_TYPE'] = 'Button type'

L['ENABLE_AUTO_PASS_ROLL'] = 'Hide unsuitable roll'
L['ENABLE_AUTO_PASS_ROLL_DESC'] = 'Auto pass unsuitable roll'

L['ENABLE_LOOT_ROLL_LOG'] = "Enable loot history"
L['ENABLE_LOOT_ROLL_LOG_DESC'] = ''

L['ENABLE_AUTO_CLEAR_LOG'] = "Enable history cleaner"
L['ENABLE_AUTO_CLEAR_LOG_DESC'] = 'Automatically delete history older than 30 days'

L["January"] = 'January'
L["February"] = 'February'
L["March"] = 'March'
L["April"] = 'April'
L["May"] = 'May'
L["June"] = 'June'
L["July"] = 'July'
L["August"] = 'August'
L["September"] = 'September'
L["October"] = 'October'
L["November"] = 'November'
L["December"] = 'December'
 
L['SHOW_MINIMAP_BUTTON'] = 'Show minimap icon'

L['GUI_SHOWPASSES'] = 'Show pass'

L['ENABLE_SHOW_MAINFRAME'] = 'Enable roll mainframe'
L['ENABLE_SHOW_MAINFRAME_DESC'] = 'Enable/disable display of roll mainframe for players.'

L['RUN_TEST'] = 'Test frames'
L['LFR'] = "LFR"

L['ENABLE_SHOW_ILVL'] = 'Display item itemLvL'
L['ENABLE_SHOW_ILVL_DESC'] = 'Display item itemLvL'

L['ENABLE_ROLL_ON_TOP'] = 'Grow up'
L['ENABLE_ROLL_ON_TOP_DESC'] = 'New lines will be placed above'

L['GUI_PLAYER'] = 'Player'
L['GUI_SELECT'] = 'Select'
L['GUI_RANK'] = 'Rank'
L['GUI_DICEROLL'] = 'Roll'
L['GUI_EQPPED'] = 'Equipped'
L['GUI_NOTES'] = 'Notes'

L['GUI_ROLLALL'] = 'Roll all'
L['GUI_ROLL'] = 'roll'
L['GUI_GIVEIT'] = 'Give It'
L['GUI_CANCEL'] = 'Cancel'
L['GUI_TAKEALL'] = 'Pick up'
L['GUI_UNKNOWN_SOURCE'] = 'Unknown source'

L['ENABLE'] = 'Enable'
L['ENABLE_DESC'] = 'Disable addon'

L['AUTO_IGNORE_ZONE_FILER'] = 'Zone filter'
L['ZONE_DISABLE_DESC'] = 'Enable/disable addon in these areas'

L['HFC'] = 'Hellfire Citadel'
L['NORMAL'] = "|cFF00FF00Normal|r"
L['HEROIC'] = "|cFFFFFF00Heroic|r"
L['MYTHIC'] = "|cFFff9400Mythic|r"

L['ITEM_QUALITY'] = 'Loot quality'
L['ITEM_QUALITY_DESC'] = 'Loot quality filter, which reacts addon'

L['ITEM_QUALITY_0'] = 'Low'
L['ITEM_QUALITY_1'] = 'Normal'
L['ITEM_QUALITY_2'] = 'Unusual'
L['ITEM_QUALITY_3'] = 'Rare'
L['ITEM_QUALITY_4'] = "Epic"
L['ITEM_QUALITY_5'] = "Legendary"
L['ITEM_QUALITY_6'] = "Artifact"
L['ITEM_QUALITY_7'] = "Family"
L['ITEM_QUALITY_8'] = "Game time"

L['ITEM_QUALITY_0_DESC'] = 'Low'
L['ITEM_QUALITY_1_DESC'] = 'Normal'
L['ITEM_QUALITY_2_DESC'] = 'Unusual'
L['ITEM_QUALITY_3_DESC'] = 'Rare'
L['ITEM_QUALITY_4_DESC'] = "Epic"
L['ITEM_QUALITY_5_DESC'] = "Legendary"
L['ITEM_QUALITY_6_DESC'] = "Artifact"
L['ITEM_QUALITY_7_DESC'] = "Family"
L['ITEM_QUALITY_8_DESC'] = "Game time"

L['BUTTON'] = 'Button'
L['BUTTONS'] = 'Buttons'
L['BUTTONS_AMOUNT'] = 'Buttons amount'
L['BUTTONS_AMOUNT_DESC'] = 'Select buttons amount'
L['BUTTON_NAME'] = 'Name'
L['BUTTON_ROLL_TYPE'] = 'Roll type'

L['ENABLE_RIGHT_CLICK_PASS'] = 'Pass all rolls but right click'
L['ENABLE_RIGHT_CLICK_PASS_DESC'] = 'Cancel all current rolls by right mouse click on pass button'